com.tibbo.aggregate.common.view

## Class StorageHelper

- java.lang.Object
- - com.tibbo.aggregate.common.view.StorageHelper

-     public class StorageHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLASS_FIELD_AUTHOR`
    `static java.lang.String` | `CLASS_FIELD_CREATION_TIME`
    `static java.lang.String` | `CLASS_FIELD_INSTANCE_ID`
    `static java.lang.String` | `CLASS_FIELD_UPDATE_TIME`
    `static java.lang.String` | `E_CLASS_INSTANCE_CHANGED`
    `static java.lang.String` | `E_CLASS_INSTANCE_COMMENTED`
    `static java.lang.String` | `E_CLASS_INSTANCE_CREATED`
    `static java.lang.String` | `E_CLASS_INSTANCE_DELETED`
    `static TableFormat` | `EFT_CLASS_INSTANCE_CHANGED`
    `static TableFormat` | `EFT_CLASS_INSTANCE_COMMENT`
    `static TableFormat` | `EFT_CLASS_INSTANCE_CREATED`
    `static TableFormat` | `EFT_CLASS_INSTANCE_DELETED`
    `static java.lang.String` | `F_STATE_TRANSITION`
    `static java.lang.String` | `F_STORAGE_CLOSE`
    `static java.lang.String` | `F_STORAGE_CLOSE_TRANSATION`
    `static java.lang.String` | `F_STORAGE_COLUMNS`
    `static java.lang.String` | `F_STORAGE_CONSTRUCT`
    `static java.lang.String` | `F_STORAGE_CONSTRUCT_RELATION`
    `static java.lang.String` | `F_STORAGE_DELETE`
    `static java.lang.String` | `F_STORAGE_DELETE_RELATION`
    `static java.lang.String` | `F_STORAGE_FILTER`
    `static java.lang.String` | `F_STORAGE_GET`
    `static java.lang.String` | `F_STORAGE_GET_DISTINCT`
    `static java.lang.String` | `F_STORAGE_GET_EXTRA`
    `static java.lang.String` | `F_STORAGE_GET_EXTRA_DATA_SOURCE`
    `static java.lang.String` | `F_STORAGE_GET_EXTRA_DATA_VALUE`
    `static java.lang.String` | `F_STORAGE_GET_FORMAT`
    `static java.lang.String` | `F_STORAGE_INSERT`
    `static java.lang.String` | `F_STORAGE_LINK_INSTANCES`
    `static java.lang.String` | `F_STORAGE_LINKED_INSTANCES_FILTER`
    `static java.lang.String` | `F_STORAGE_OPEN`
    `static java.lang.String` | `F_STORAGE_OPEN_TRANSATION`
    `static java.lang.String` | `F_STORAGE_OPERATIONS`
    `static java.lang.String` | `F_STORAGE_RELATIONS`
    `static java.lang.String` | `F_STORAGE_SORTING`
    `static java.lang.String` | `F_STORAGE_TABLES`
    `static java.lang.String` | `F_STORAGE_UNLINK_INSTANCES`
    `static java.lang.String` | `F_STORAGE_UPDATE`
    `static java.lang.String` | `F_STORAGE_VIEWS`
    `static FunctionDefinition` | `FD_STATE_TRANSITION`
    `static FunctionDefinition` | `FD_STORAGE_CLOSE`
    `static FunctionDefinition` | `FD_STORAGE_CLOSE_TRANSACTION`
    `static FunctionDefinition` | `FD_STORAGE_COLUMNS`
    `static FunctionDefinition` | `FD_STORAGE_CONSTRUCT`
    `static FunctionDefinition` | `FD_STORAGE_CONSTRUCT_RELATION`
    `static FunctionDefinition` | `FD_STORAGE_DELETE`
    `static FunctionDefinition` | `FD_STORAGE_DELETE_RELATION`
    `static FunctionDefinition` | `FD_STORAGE_FILTER`
    `static FunctionDefinition` | `FD_STORAGE_GET`
    `static FunctionDefinition` | `FD_STORAGE_GET_DISTINCT`
    `static FunctionDefinition` | `FD_STORAGE_GET_EXTRA`
    `static FunctionDefinition` | `FD_STORAGE_GET_FORMAT`
    `static FunctionDefinition` | `FD_STORAGE_INSERT`
    `static FunctionDefinition` | `FD_STORAGE_LINK_INSTANCES`
    `static FunctionDefinition` | `FD_STORAGE_LINKED_INSTANCES_FILTER`
    `static FunctionDefinition` | `FD_STORAGE_OPEN`
    `static FunctionDefinition` | `FD_STORAGE_OPEN_TRANSACTION`
    `static FunctionDefinition` | `FD_STORAGE_OPERATIONS`
    `static FunctionDefinition` | `FD_STORAGE_RELATIONS`
    `static FunctionDefinition` | `FD_STORAGE_SORTING`
    `static FunctionDefinition` | `FD_STORAGE_TABLES`
    `static FunctionDefinition` | `FD_STORAGE_UNLINK_INSTANCES`
    `static FunctionDefinition` | `FD_STORAGE_UPDATE`
    `static FunctionDefinition` | `FD_STORAGE_VIEWS`
    `static java.lang.String` | `FIELD_COLUMNS_DESCRIPTION`
    `static java.lang.String` | `FIELD_COLUMNS_FIELD_DATATABLE`
    `static java.lang.String` | `FIELD_COLUMNS_GROUP`
    `static java.lang.String` | `FIELD_COLUMNS_IS_CALCULATED_FIELD`
    `static java.lang.String` | `FIELD_COLUMNS_IS_NULLABLE_CONFIGURABLE`
    `static java.lang.String` | `FIELD_COLUMNS_NAME`
    `static java.lang.String` | `FIELD_COLUMNS_NULLABLE`
    `static java.lang.String` | `FIELD_COLUMNS_PRIMARY_KEY`
    `static java.lang.String` | `FIELD_COLUMNS_READONLY`
    `static java.lang.String` | `FIELD_COLUMNS_VISIBILITY`
    `static java.lang.String` | `FIELD_EVENT_AUTHOR`
    `static java.lang.String` | `FIELD_EVENT_COMMENT`
    `static java.lang.String` | `FIELD_EVENT_FIELD_DESCRIPTION`
    `static java.lang.String` | `FIELD_EVENT_FIELD_NAME`
    `static java.lang.String` | `FIELD_EVENT_INSTANCE`
    `static java.lang.String` | `FIELD_EVENT_INSTANCE_DESCRIPTION`
    `static java.lang.String` | `FIELD_EVENT_INSTANCE_ID`
    `static java.lang.String` | `FIELD_EVENT_MODIFICATION_AUTHOR`
    `static java.lang.String` | `FIELD_EVENT_NEW_VALUE`
    `static java.lang.String` | `FIELD_EVENT_OLD_VALUE`
    `static java.lang.String` | `FIELD_SORTING_COLUMN`
    `static java.lang.String` | `FIELD_SORTING_ORDER`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_CLASS_CONTEXT`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_CURRENT_STATE`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_CYCLE_NAME`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_INSTANCE_ID`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_NEXT_STATE`
    `static java.lang.String` | `FIF_STATE_TRANSITIONS_SESSION_ID`
    `static java.lang.String` | `FIF_STORAGE_CLOSE_ID`
    `static java.lang.String` | `FIF_STORAGE_CLOSE_TRANSACTION_COMMIT`
    `static java.lang.String` | `FIF_STORAGE_CLOSE_TRANSACTION_ID`
    `static java.lang.String` | `FIF_STORAGE_COLUMNS_COLUMNS`
    `static java.lang.String` | `FIF_STORAGE_COLUMNS_LIFE_CYCLES`
    `static java.lang.String` | `FIF_STORAGE_COLUMNS_TABLE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_FIELDS`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_LIFE_CYCLES`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_CASCADE_DELETE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_NAME`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_PRIMARY_KEY_TYPE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_RELATED_PRIMARY_KEY_TYPE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_RELATED_TABLE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_RELATION_TABLE`
    `static java.lang.String` | `FIF_STORAGE_CONSTRUCT_TABLE`
    `static java.lang.String` | `FIF_STORAGE_DELETE_FILTER`
    `static java.lang.String` | `FIF_STORAGE_DELETE_ID`
    `static java.lang.String` | `FIF_STORAGE_DELETE_INSTANCE_ID_LIST`
    `static java.lang.String` | `FIF_STORAGE_DELETE_RELATION_NAME`
    `static java.lang.String` | `FIF_STORAGE_DELETE_RELATION_PRIMARY_KEY_TYPE`
    `static java.lang.String` | `FIF_STORAGE_DELETE_RELATION_RELATED_PRIMARY_KEY_TYPE`
    `static java.lang.String` | `FIF_STORAGE_DELETE_RELATION_RELATED_TABLE`
    `static java.lang.String` | `FIF_STORAGE_DELETE_RELATION_TABLE`
    `static java.lang.String` | `FIF_STORAGE_DELETE_ROWLIST`
    `static java.lang.String` | `FIF_STORAGE_DELETE_TABLE`
    `static java.lang.String` | `FIF_STORAGE_DROP_EXISTING_COLUMNS`
    `static java.lang.String` | `FIF_STORAGE_FILTER_FILTER`
    `static java.lang.String` | `FIF_STORAGE_FILTER_TABLE`
    `static java.lang.String` | `FIF_STORAGE_GET_COUNT`
    `static java.lang.String` | `FIF_STORAGE_GET_DISTINCT_COLUMN`
    `static java.lang.String` | `FIF_STORAGE_GET_DISTINCT_COUNT`
    `static java.lang.String` | `FIF_STORAGE_GET_DISTINCT_FILTER_TABLE`
    `static java.lang.String` | `FIF_STORAGE_GET_DISTINCT_FILTER_VALUE`
    `static java.lang.String` | `FIF_STORAGE_GET_DISTINCT_FOREIGN_RELATION_METADATA`
    `static java.lang.String` | `FIF_STORAGE_GET_EXTRA_DATA_COUNT`
    `static java.lang.String` | `FIF_STORAGE_GET_EXTRA_DATA_FIRST`
    `static java.lang.String` | `FIF_STORAGE_GET_FIRST`
    `static java.lang.String` | `FIF_STORAGE_GET_FORMAT_TABLE`
    `static java.lang.String` | `FIF_STORAGE_GET_FORMAT_VIEW`
    `static java.lang.String` | `FIF_STORAGE_GET_ID`
    `static java.lang.String` | `FIF_STORAGE_GET_PROCESSED`
    `static java.lang.String` | `FIF_STORAGE_GET_SORTING`
    `static java.lang.String` | `FIF_STORAGE_GET_VIEW`
    `static java.lang.String` | `FIF_STORAGE_INHERITED_TABLES`
    `static java.lang.String` | `FIF_STORAGE_INSERT_ID`
    `static java.lang.String` | `FIF_STORAGE_INSERT_TABLE`
    `static java.lang.String` | `FIF_STORAGE_INSERT_VALUES`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_INSTANCE_ID`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_RELATED_ID`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_RELATED_IDS`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_RELATED_TABLE`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_RELATION_NAME`
    `static java.lang.String` | `FIF_STORAGE_LINK_INSTANCES_TABLE`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_GET_RELATED`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_INSTANCE_ID`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATED_TABLE`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_NAME`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_OWNER`
    `static java.lang.String` | `FIF_STORAGE_LINKED_INSTANCES_FILTER_TABLE`
    `static java.lang.String` | `FIF_STORAGE_MANY_TO_MANY_RELATIONS`
    `static java.lang.String` | `FIF_STORAGE_OPEN_COLUMNS`
    `static java.lang.String` | `FIF_STORAGE_OPEN_FILTER`
    `static java.lang.String` | `FIF_STORAGE_OPEN_FOREIGN_RELATION_METADATA`
    `static java.lang.String` | `FIF_STORAGE_OPEN_GET_DATA`
    `static java.lang.String` | `FIF_STORAGE_OPEN_ID`
    `static java.lang.String` | `FIF_STORAGE_OPEN_KEEP_RESULTSET`
    `static java.lang.String` | `FIF_STORAGE_OPEN_KEEP_SESSION_FOREVER`
    `static java.lang.String` | `FIF_STORAGE_OPEN_LIMIT`
    `static java.lang.String` | `FIF_STORAGE_OPEN_OFFSET`
    `static java.lang.String` | `FIF_STORAGE_OPEN_QUERY`
    `static java.lang.String` | `FIF_STORAGE_OPEN_SMART_FILTER_EXPRESSION`
    `static java.lang.String` | `FIF_STORAGE_OPEN_SORTING`
    `static java.lang.String` | `FIF_STORAGE_OPEN_TABLE`
    `static java.lang.String` | `FIF_STORAGE_OPEN_VIEW`
    `static java.lang.String` | `FIF_STORAGE_OPERATIONS_COLUMN`
    `static java.lang.String` | `FIF_STORAGE_OPERATIONS_TABLE`
    `static java.lang.String` | `FIF_STORAGE_RELATIONS_DASHBOARD_CLASS`
    `static java.lang.String` | `FIF_STORAGE_RELATIONS_TABLE`
    `static java.lang.String` | `FIF_STORAGE_SORTING_SORTING`
    `static java.lang.String` | `FIF_STORAGE_SORTING_TABLE`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_COLUMN`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_FILTER`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_ID`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_PK`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_ROW`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_TABLE`
    `static java.lang.String` | `FIF_STORAGE_UPDATE_VALUE`
    `static TableFormat` | `FIFT_STATE_TRANSITION`
    `static TableFormat` | `FIFT_STORAGE_CLOSE`
    `static TableFormat` | `FIFT_STORAGE_CLOSE_TRANSACTION`
    `static TableFormat` | `FIFT_STORAGE_COLUMNS`
    `static TableFormat` | `FIFT_STORAGE_CONSTRUCT`
    `static TableFormat` | `FIFT_STORAGE_CONSTRUCT_RELATION`
    `static TableFormat` | `FIFT_STORAGE_DELETE`
    `static TableFormat` | `FIFT_STORAGE_DELETE_RELATION`
    `static TableFormat` | `FIFT_STORAGE_FILTER`
    `static TableFormat` | `FIFT_STORAGE_GET`
    `static TableFormat` | `FIFT_STORAGE_GET_DISTINCT`
    `static TableFormat` | `FIFT_STORAGE_GET_EXTRA`
    `static TableFormat` | `FIFT_STORAGE_GET_FORMAT`
    `static TableFormat` | `FIFT_STORAGE_INSERT`
    `static TableFormat` | `FIFT_STORAGE_LINK_INSTANCES`
    `static TableFormat` | `FIFT_STORAGE_LINKED_INSTANCES_FILTER`
    `static TableFormat` | `FIFT_STORAGE_OPEN`
    `static TableFormat` | `FIFT_STORAGE_OPERATIONS`
    `static TableFormat` | `FIFT_STORAGE_RELATIONS`
    `static TableFormat` | `FIFT_STORAGE_SORTING`
    `static TableFormat` | `FIFT_STORAGE_UNLINK_INSTANCES`
    `static TableFormat` | `FIFT_STORAGE_UPDATE`
    `static java.lang.String` | `FOF_STORAGE_DELETE_COUNT`
    `static java.lang.String` | `FOF_STORAGE_GET_DATA`
    `static java.lang.String` | `FOF_STORAGE_GET_EXTRA_DATA_COLUMN`
    `static java.lang.String` | `FOF_STORAGE_GET_EXTRA_DATA_DATA`
    `static java.lang.String` | `FOF_STORAGE_GET_SIZE`
    `static java.lang.String` | `FOF_STORAGE_INSERT_INSTANCE_ID`
    `static java.lang.String` | `FOF_STORAGE_OPEN_COUNT`
    `static java.lang.String` | `FOF_STORAGE_OPEN_DATA`
    `static java.lang.String` | `FOF_STORAGE_OPEN_ID`
    `static java.lang.String` | `FOF_STORAGE_OPEN_PERSISTENCE_SESSION`
    `static java.lang.String` | `FOF_STORAGE_OPEN_TRANSACTION_ID`
    `static java.lang.String` | `FOF_STORAGE_UPDATE_COUNT`
    `static TableFormat` | `FOFT_ADD_ROW_ACTION`
    `static TableFormat` | `FOFT_REMOVE_OR_UPDATE_ROW_ACTION`
    `static TableFormat` | `FOFT_STORAGE_DELETE`
    `static TableFormat` | `FOFT_STORAGE_GET`
    `static TableFormat` | `FOFT_STORAGE_GET_EXTRA`
    `static TableFormat` | `FOFT_STORAGE_INSERT`
    `static TableFormat` | `FOFT_STORAGE_LINKED_INSTANCES_FILTER`
    `static TableFormat` | `FOFT_STORAGE_OPEN`
    `static TableFormat` | `FOFT_STORAGE_OPEN_TRANSACTION`
    `static TableFormat` | `FOFT_STORAGE_UPDATE`
    `static TableFormat` | `FORMAT_COLUMNS`
    `static TableFormat` | `FORMAT_INSTANCE_ID_LIST`
    `static TableFormat` | `FORMAT_RELATED_IDS`
    `static TableFormat` | `FORMAT_ROWLIST`
    `static TableFormat` | `FORMAT_SORTING`
    `static java.lang.String` | `KEY_EVENT_CLASS_NAME`
    `static java.lang.String` | `KEY_EVENT_INSTANCE_ID`
    `static java.lang.String` | `MANY_TO_MANY_FIELD_LEFT_ID`
    `static java.lang.String` | `MANY_TO_MANY_FIELD_RELATION_ID`
    `static java.lang.String` | `MANY_TO_MANY_FIELD_RIGTH_ID`
    `static java.lang.String` | `MANY_TO_MANY_TABLE_PREFIX`
    `static java.util.List<java.lang.String>` | `NON_INHERITABLE_SYSTEM_FIELDS`
    `static java.lang.String` | `PARENT_TABLE_FOREIGN_KEY_PREFIX`
    `static java.lang.String` | `SESSION_ID`
    `static int` | `SORT_ASCENDING`
    `static int` | `SORT_DESCENDING`
    `static TableFormat` | `TF_STORAGE_GET_EXTRA_DATA_DATA`
    `static int` | `VISIBILITY_DISABLED`
    `static int` | `VISIBILITY_HIDDEN`
    `static int` | `VISIBILITY_VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `generateViewSessionId()`
    `static java.util.List<FunctionDefinition>` | `getBaseFunctionDefinitions()`
    `static java.lang.String` | `getPrimaryKeyName(Context storageContext, CallerController caller, java.lang.String storageTable)`
    `static java.lang.String` | `makeExpression(java.lang.String field)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS_FIELD_INSTANCE_ID

          public static final java.lang.String CLASS_FIELD_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CLASS_FIELD_AUTHOR

          public static final java.lang.String CLASS_FIELD_AUTHOR

      See Also:
        Constant Field Values

    - #### CLASS_FIELD_CREATION_TIME

          public static final java.lang.String CLASS_FIELD_CREATION_TIME

      See Also:
        Constant Field Values

    - #### CLASS_FIELD_UPDATE_TIME

          public static final java.lang.String CLASS_FIELD_UPDATE_TIME

      See Also:
        Constant Field Values

    - #### NON_INHERITABLE_SYSTEM_FIELDS

          public static final java.util.List<java.lang.String> NON_INHERITABLE_SYSTEM_FIELDS

    - #### MANY_TO_MANY_FIELD_RELATION_ID

          public static final java.lang.String MANY_TO_MANY_FIELD_RELATION_ID

      See Also:
        Constant Field Values

    - #### MANY_TO_MANY_FIELD_LEFT_ID

          public static final java.lang.String MANY_TO_MANY_FIELD_LEFT_ID

      See Also:
        Constant Field Values

    - #### MANY_TO_MANY_FIELD_RIGTH_ID

          public static final java.lang.String MANY_TO_MANY_FIELD_RIGTH_ID

      See Also:
        Constant Field Values

    - #### MANY_TO_MANY_TABLE_PREFIX

          public static final java.lang.String MANY_TO_MANY_TABLE_PREFIX

      See Also:
        Constant Field Values

    - #### PARENT_TABLE_FOREIGN_KEY_PREFIX

          public static final java.lang.String PARENT_TABLE_FOREIGN_KEY_PREFIX

      See Also:
        Constant Field Values

    - #### SORT_ASCENDING

          public static final int SORT_ASCENDING

      See Also:
        Constant Field Values

    - #### SORT_DESCENDING

          public static final int SORT_DESCENDING

      See Also:
        Constant Field Values

    - #### VISIBILITY_DISABLED

          public static final int VISIBILITY_DISABLED

      See Also:
        Constant Field Values

    - #### VISIBILITY_VISIBLE

          public static final int VISIBILITY_VISIBLE

      See Also:
        Constant Field Values

    - #### VISIBILITY_HIDDEN

          public static final int VISIBILITY_HIDDEN

      See Also:
        Constant Field Values

    - #### SESSION_ID

          public static final java.lang.String SESSION_ID

      See Also:
        Constant Field Values

    - #### F_STORAGE_OPEN

          public static final java.lang.String F_STORAGE_OPEN

      See Also:
        Constant Field Values

    - #### F_STORAGE_CLOSE

          public static final java.lang.String F_STORAGE_CLOSE

      See Also:
        Constant Field Values

    - #### F_STORAGE_GET

          public static final java.lang.String F_STORAGE_GET

      See Also:
        Constant Field Values

    - #### F_STORAGE_GET_DISTINCT

          public static final java.lang.String F_STORAGE_GET_DISTINCT

      See Also:
        Constant Field Values

    - #### F_STORAGE_GET_EXTRA

          public static final java.lang.String F_STORAGE_GET_EXTRA

      See Also:
        Constant Field Values

    - #### F_STORAGE_UPDATE

          public static final java.lang.String F_STORAGE_UPDATE

      See Also:
        Constant Field Values

    - #### F_STORAGE_DELETE

          public static final java.lang.String F_STORAGE_DELETE

      See Also:
        Constant Field Values

    - #### F_STORAGE_INSERT

          public static final java.lang.String F_STORAGE_INSERT

      See Also:
        Constant Field Values

    - #### F_STORAGE_VIEWS

          public static final java.lang.String F_STORAGE_VIEWS

      See Also:
        Constant Field Values

    - #### F_STORAGE_TABLES

          public static final java.lang.String F_STORAGE_TABLES

      See Also:
        Constant Field Values

    - #### F_STORAGE_COLUMNS

          public static final java.lang.String F_STORAGE_COLUMNS

      See Also:
        Constant Field Values

    - #### F_STORAGE_RELATIONS

          public static final java.lang.String F_STORAGE_RELATIONS

      See Also:
        Constant Field Values

    - #### F_STORAGE_FILTER

          public static final java.lang.String F_STORAGE_FILTER

      See Also:
        Constant Field Values

    - #### F_STORAGE_SORTING

          public static final java.lang.String F_STORAGE_SORTING

      See Also:
        Constant Field Values

    - #### F_STORAGE_CONSTRUCT

          public static final java.lang.String F_STORAGE_CONSTRUCT

      See Also:
        Constant Field Values

    - #### F_STORAGE_OPERATIONS

          public static final java.lang.String F_STORAGE_OPERATIONS

      See Also:
        Constant Field Values

    - #### F_STORAGE_CONSTRUCT_RELATION

          public static final java.lang.String F_STORAGE_CONSTRUCT_RELATION

      See Also:
        Constant Field Values

    - #### F_STORAGE_DELETE_RELATION

          public static final java.lang.String F_STORAGE_DELETE_RELATION

      See Also:
        Constant Field Values

    - #### F_STORAGE_LINK_INSTANCES

          public static final java.lang.String F_STORAGE_LINK_INSTANCES

      See Also:
        Constant Field Values

    - #### F_STORAGE_UNLINK_INSTANCES

          public static final java.lang.String F_STORAGE_UNLINK_INSTANCES

      See Also:
        Constant Field Values

    - #### F_STORAGE_LINKED_INSTANCES_FILTER

          public static final java.lang.String F_STORAGE_LINKED_INSTANCES_FILTER

      See Also:
        Constant Field Values

    - #### F_STORAGE_GET_FORMAT

          public static final java.lang.String F_STORAGE_GET_FORMAT

      See Also:
        Constant Field Values

    - #### F_STORAGE_OPEN_TRANSATION

          public static final java.lang.String F_STORAGE_OPEN_TRANSATION

      See Also:
        Constant Field Values

    - #### F_STORAGE_CLOSE_TRANSATION

          public static final java.lang.String F_STORAGE_CLOSE_TRANSATION

      See Also:
        Constant Field Values

    - #### F_STATE_TRANSITION

          public static final java.lang.String F_STATE_TRANSITION

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_ID

          public static final java.lang.String FIF_STORAGE_OPEN_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_VIEW

          public static final java.lang.String FIF_STORAGE_OPEN_VIEW

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_QUERY

          public static final java.lang.String FIF_STORAGE_OPEN_QUERY

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_TABLE

          public static final java.lang.String FIF_STORAGE_OPEN_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_COLUMNS

          public static final java.lang.String FIF_STORAGE_OPEN_COLUMNS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_FILTER

          public static final java.lang.String FIF_STORAGE_OPEN_FILTER

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_SORTING

          public static final java.lang.String FIF_STORAGE_OPEN_SORTING

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_GET_DATA

          public static final java.lang.String FIF_STORAGE_OPEN_GET_DATA

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_LIMIT

          public static final java.lang.String FIF_STORAGE_OPEN_LIMIT

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_SMART_FILTER_EXPRESSION

          public static final java.lang.String FIF_STORAGE_OPEN_SMART_FILTER_EXPRESSION

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_OFFSET

          public static final java.lang.String FIF_STORAGE_OPEN_OFFSET

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_KEEP_RESULTSET

          public static final java.lang.String FIF_STORAGE_OPEN_KEEP_RESULTSET

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_KEEP_SESSION_FOREVER

          public static final java.lang.String FIF_STORAGE_OPEN_KEEP_SESSION_FOREVER

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPEN_FOREIGN_RELATION_METADATA

          public static final java.lang.String FIF_STORAGE_OPEN_FOREIGN_RELATION_METADATA

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_OPEN_ID

          public static final java.lang.String FOF_STORAGE_OPEN_ID

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_OPEN_COUNT

          public static final java.lang.String FOF_STORAGE_OPEN_COUNT

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_OPEN_DATA

          public static final java.lang.String FOF_STORAGE_OPEN_DATA

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_OPEN_PERSISTENCE_SESSION

          public static final java.lang.String FOF_STORAGE_OPEN_PERSISTENCE_SESSION

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CLOSE_ID

          public static final java.lang.String FIF_STORAGE_CLOSE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_ID

          public static final java.lang.String FIF_STORAGE_GET_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_VIEW

          public static final java.lang.String FIF_STORAGE_GET_VIEW

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_FIRST

          public static final java.lang.String FIF_STORAGE_GET_FIRST

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_COUNT

          public static final java.lang.String FIF_STORAGE_GET_COUNT

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_SORTING

          public static final java.lang.String FIF_STORAGE_GET_SORTING

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_PROCESSED

          public static final java.lang.String FIF_STORAGE_GET_PROCESSED

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_GET_SIZE

          public static final java.lang.String FOF_STORAGE_GET_SIZE

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_GET_DATA

          public static final java.lang.String FOF_STORAGE_GET_DATA

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_ID

          public static final java.lang.String FIF_STORAGE_UPDATE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_ROW

          public static final java.lang.String FIF_STORAGE_UPDATE_ROW

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_PK

          public static final java.lang.String FIF_STORAGE_UPDATE_PK

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_COLUMN

          public static final java.lang.String FIF_STORAGE_UPDATE_COLUMN

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_VALUE

          public static final java.lang.String FIF_STORAGE_UPDATE_VALUE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_TABLE

          public static final java.lang.String FIF_STORAGE_UPDATE_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_UPDATE_FILTER

          public static final java.lang.String FIF_STORAGE_UPDATE_FILTER

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_UPDATE_COUNT

          public static final java.lang.String FOF_STORAGE_UPDATE_COUNT

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_ID

          public static final java.lang.String FIF_STORAGE_DELETE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_ROWLIST

          public static final java.lang.String FIF_STORAGE_DELETE_ROWLIST

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_INSTANCE_ID_LIST

          public static final java.lang.String FIF_STORAGE_DELETE_INSTANCE_ID_LIST

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_TABLE

          public static final java.lang.String FIF_STORAGE_DELETE_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_FILTER

          public static final java.lang.String FIF_STORAGE_DELETE_FILTER

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_DELETE_COUNT

          public static final java.lang.String FOF_STORAGE_DELETE_COUNT

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_INSERT_ID

          public static final java.lang.String FIF_STORAGE_INSERT_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_INSERT_VALUES

          public static final java.lang.String FIF_STORAGE_INSERT_VALUES

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_INSERT_TABLE

          public static final java.lang.String FIF_STORAGE_INSERT_TABLE

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_INSERT_INSTANCE_ID

          public static final java.lang.String FOF_STORAGE_INSERT_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_COLUMNS_TABLE

          public static final java.lang.String FIF_STORAGE_COLUMNS_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_COLUMNS_COLUMNS

          public static final java.lang.String FIF_STORAGE_COLUMNS_COLUMNS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_COLUMNS_LIFE_CYCLES

          public static final java.lang.String FIF_STORAGE_COLUMNS_LIFE_CYCLES

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_RELATIONS_TABLE

          public static final java.lang.String FIF_STORAGE_RELATIONS_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_RELATIONS_DASHBOARD_CLASS

          public static final java.lang.String FIF_STORAGE_RELATIONS_DASHBOARD_CLASS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_FILTER_TABLE

          public static final java.lang.String FIF_STORAGE_FILTER_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_FILTER_FILTER

          public static final java.lang.String FIF_STORAGE_FILTER_FILTER

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_SORTING_TABLE

          public static final java.lang.String FIF_STORAGE_SORTING_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_SORTING_SORTING

          public static final java.lang.String FIF_STORAGE_SORTING_SORTING

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_TABLE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_FIELDS

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_FIELDS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_LIFE_CYCLES

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_LIFE_CYCLES

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_MANY_TO_MANY_RELATIONS

          public static final java.lang.String FIF_STORAGE_MANY_TO_MANY_RELATIONS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_INHERITED_TABLES

          public static final java.lang.String FIF_STORAGE_INHERITED_TABLES

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DROP_EXISTING_COLUMNS

          public static final java.lang.String FIF_STORAGE_DROP_EXISTING_COLUMNS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_TABLE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_PRIMARY_KEY_TYPE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_PRIMARY_KEY_TYPE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_RELATED_TABLE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_RELATED_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_RELATED_PRIMARY_KEY_TYPE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_RELATED_PRIMARY_KEY_TYPE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_NAME

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_NAME

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CONSTRUCT_RELATION_CASCADE_DELETE

          public static final java.lang.String FIF_STORAGE_CONSTRUCT_RELATION_CASCADE_DELETE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_RELATION_TABLE

          public static final java.lang.String FIF_STORAGE_DELETE_RELATION_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_RELATION_PRIMARY_KEY_TYPE

          public static final java.lang.String FIF_STORAGE_DELETE_RELATION_PRIMARY_KEY_TYPE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_RELATION_RELATED_TABLE

          public static final java.lang.String FIF_STORAGE_DELETE_RELATION_RELATED_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_RELATION_RELATED_PRIMARY_KEY_TYPE

          public static final java.lang.String FIF_STORAGE_DELETE_RELATION_RELATED_PRIMARY_KEY_TYPE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_DELETE_RELATION_NAME

          public static final java.lang.String FIF_STORAGE_DELETE_RELATION_NAME

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPERATIONS_TABLE

          public static final java.lang.String FIF_STORAGE_OPERATIONS_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_OPERATIONS_COLUMN

          public static final java.lang.String FIF_STORAGE_OPERATIONS_COLUMN

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_TABLE

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_RELATED_TABLE

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_RELATED_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_RELATION_NAME

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_RELATION_NAME

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_RELATED_IDS

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_RELATED_IDS

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_INSTANCE_ID

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINK_INSTANCES_RELATED_ID

          public static final java.lang.String FIF_STORAGE_LINK_INSTANCES_RELATED_ID

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_CLASS_CONTEXT

          public static final java.lang.String FIF_STATE_TRANSITIONS_CLASS_CONTEXT

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_CYCLE_NAME

          public static final java.lang.String FIF_STATE_TRANSITIONS_CYCLE_NAME

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_CURRENT_STATE

          public static final java.lang.String FIF_STATE_TRANSITIONS_CURRENT_STATE

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_NEXT_STATE

          public static final java.lang.String FIF_STATE_TRANSITIONS_NEXT_STATE

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_INSTANCE_ID

          public static final java.lang.String FIF_STATE_TRANSITIONS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIF_STATE_TRANSITIONS_SESSION_ID

          public static final java.lang.String FIF_STATE_TRANSITIONS_SESSION_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_INSTANCE_ID

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_TABLE

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATED_TABLE

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATED_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_NAME

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_NAME

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_OWNER

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_RELATION_OWNER

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_LINKED_INSTANCES_FILTER_GET_RELATED

          public static final java.lang.String FIF_STORAGE_LINKED_INSTANCES_FILTER_GET_RELATED

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_FORMAT_TABLE

          public static final java.lang.String FIF_STORAGE_GET_FORMAT_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_FORMAT_VIEW

          public static final java.lang.String FIF_STORAGE_GET_FORMAT_VIEW

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_DISTINCT_COLUMN

          public static final java.lang.String FIF_STORAGE_GET_DISTINCT_COLUMN

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_DISTINCT_COUNT

          public static final java.lang.String FIF_STORAGE_GET_DISTINCT_COUNT

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_DISTINCT_FILTER_VALUE

          public static final java.lang.String FIF_STORAGE_GET_DISTINCT_FILTER_VALUE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_DISTINCT_FILTER_TABLE

          public static final java.lang.String FIF_STORAGE_GET_DISTINCT_FILTER_TABLE

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_DISTINCT_FOREIGN_RELATION_METADATA

          public static final java.lang.String FIF_STORAGE_GET_DISTINCT_FOREIGN_RELATION_METADATA

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_EXTRA_DATA_FIRST

          public static final java.lang.String FIF_STORAGE_GET_EXTRA_DATA_FIRST

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_GET_EXTRA_DATA_COUNT

          public static final java.lang.String FIF_STORAGE_GET_EXTRA_DATA_COUNT

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_GET_EXTRA_DATA_COLUMN

          public static final java.lang.String FOF_STORAGE_GET_EXTRA_DATA_COLUMN

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_GET_EXTRA_DATA_DATA

          public static final java.lang.String FOF_STORAGE_GET_EXTRA_DATA_DATA

      See Also:
        Constant Field Values

    - #### FOF_STORAGE_OPEN_TRANSACTION_ID

          public static final java.lang.String FOF_STORAGE_OPEN_TRANSACTION_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CLOSE_TRANSACTION_ID

          public static final java.lang.String FIF_STORAGE_CLOSE_TRANSACTION_ID

      See Also:
        Constant Field Values

    - #### FIF_STORAGE_CLOSE_TRANSACTION_COMMIT

          public static final java.lang.String FIF_STORAGE_CLOSE_TRANSACTION_COMMIT

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_NAME

          public static final java.lang.String FIELD_COLUMNS_NAME

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_DESCRIPTION

          public static final java.lang.String FIELD_COLUMNS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_GROUP

          public static final java.lang.String FIELD_COLUMNS_GROUP

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_VISIBILITY

          public static final java.lang.String FIELD_COLUMNS_VISIBILITY

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_READONLY

          public static final java.lang.String FIELD_COLUMNS_READONLY

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_PRIMARY_KEY

          public static final java.lang.String FIELD_COLUMNS_PRIMARY_KEY

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_IS_CALCULATED_FIELD

          public static final java.lang.String FIELD_COLUMNS_IS_CALCULATED_FIELD

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_FIELD_DATATABLE

          public static final java.lang.String FIELD_COLUMNS_FIELD_DATATABLE

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_IS_NULLABLE_CONFIGURABLE

          public static final java.lang.String FIELD_COLUMNS_IS_NULLABLE_CONFIGURABLE

      See Also:
        Constant Field Values

    - #### FIELD_COLUMNS_NULLABLE

          public static final java.lang.String FIELD_COLUMNS_NULLABLE

      See Also:
        Constant Field Values

    - #### FIELD_SORTING_COLUMN

          public static final java.lang.String FIELD_SORTING_COLUMN

      See Also:
        Constant Field Values

    - #### FIELD_SORTING_ORDER

          public static final java.lang.String FIELD_SORTING_ORDER

      See Also:
        Constant Field Values

    - #### FIFT_STORAGE_OPEN

          public static final TableFormat FIFT_STORAGE_OPEN

    - #### FOFT_STORAGE_OPEN

          public static final TableFormat FOFT_STORAGE_OPEN

    - #### FIFT_STORAGE_CLOSE

          public static final TableFormat FIFT_STORAGE_CLOSE

    - #### FIFT_STORAGE_GET

          public static final TableFormat FIFT_STORAGE_GET

    - #### FOFT_STORAGE_GET

          public static final TableFormat FOFT_STORAGE_GET

    - #### FIFT_STORAGE_GET_DISTINCT

          public static final TableFormat FIFT_STORAGE_GET_DISTINCT

    - #### FIFT_STORAGE_UPDATE

          public static final TableFormat FIFT_STORAGE_UPDATE

    - #### FOFT_STORAGE_UPDATE

          public static final TableFormat FOFT_STORAGE_UPDATE

    - #### FIFT_STORAGE_DELETE

          public static final TableFormat FIFT_STORAGE_DELETE

    - #### FOFT_STORAGE_DELETE

          public static final TableFormat FOFT_STORAGE_DELETE

    - #### FIFT_STORAGE_INSERT

          public static final TableFormat FIFT_STORAGE_INSERT

    - #### FOFT_STORAGE_INSERT

          public static final TableFormat FOFT_STORAGE_INSERT

    - #### FIFT_STORAGE_COLUMNS

          public static final TableFormat FIFT_STORAGE_COLUMNS

    - #### FIFT_STORAGE_RELATIONS

          public static final TableFormat FIFT_STORAGE_RELATIONS

    - #### FIFT_STORAGE_FILTER

          public static final TableFormat FIFT_STORAGE_FILTER

    - #### FIFT_STORAGE_SORTING

          public static final TableFormat FIFT_STORAGE_SORTING

    - #### FIFT_STORAGE_CONSTRUCT

          public static final TableFormat FIFT_STORAGE_CONSTRUCT

    - #### FIFT_STORAGE_OPERATIONS

          public static final TableFormat FIFT_STORAGE_OPERATIONS

    - #### FIFT_STORAGE_CONSTRUCT_RELATION

          public static final TableFormat FIFT_STORAGE_CONSTRUCT_RELATION

    - #### FIFT_STORAGE_DELETE_RELATION

          public static final TableFormat FIFT_STORAGE_DELETE_RELATION

    - #### FORMAT_RELATED_IDS

          public static final TableFormat FORMAT_RELATED_IDS

    - #### FIFT_STORAGE_LINK_INSTANCES

          public static final TableFormat FIFT_STORAGE_LINK_INSTANCES

    - #### FIFT_STORAGE_UNLINK_INSTANCES

          public static final TableFormat FIFT_STORAGE_UNLINK_INSTANCES

    - #### FIFT_STORAGE_LINKED_INSTANCES_FILTER

          public static final TableFormat FIFT_STORAGE_LINKED_INSTANCES_FILTER

    - #### FOFT_STORAGE_LINKED_INSTANCES_FILTER

          public static final TableFormat FOFT_STORAGE_LINKED_INSTANCES_FILTER

    - #### FIFT_STORAGE_GET_FORMAT

          public static final TableFormat FIFT_STORAGE_GET_FORMAT

    - #### FOFT_STORAGE_OPEN_TRANSACTION

          public static final TableFormat FOFT_STORAGE_OPEN_TRANSACTION

    - #### FIFT_STORAGE_CLOSE_TRANSACTION

          public static final TableFormat FIFT_STORAGE_CLOSE_TRANSACTION

    - #### FORMAT_COLUMNS

          public static final TableFormat FORMAT_COLUMNS

    - #### FIFT_STATE_TRANSITION

          public static final TableFormat FIFT_STATE_TRANSITION

    - #### FIFT_STORAGE_GET_EXTRA

          public static final TableFormat FIFT_STORAGE_GET_EXTRA

    - #### TF_STORAGE_GET_EXTRA_DATA_DATA

          public static final TableFormat TF_STORAGE_GET_EXTRA_DATA_DATA

    - #### F_STORAGE_GET_EXTRA_DATA_SOURCE

          public static final java.lang.String F_STORAGE_GET_EXTRA_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### F_STORAGE_GET_EXTRA_DATA_VALUE

          public static final java.lang.String F_STORAGE_GET_EXTRA_DATA_VALUE

      See Also:
        Constant Field Values

    - #### FOFT_STORAGE_GET_EXTRA

          public static final TableFormat FOFT_STORAGE_GET_EXTRA

    - #### FORMAT_SORTING

          public static final TableFormat FORMAT_SORTING

    - #### FORMAT_ROWLIST

          public static final TableFormat FORMAT_ROWLIST

    - #### FORMAT_INSTANCE_ID_LIST

          public static final TableFormat FORMAT_INSTANCE_ID_LIST

    - #### FOFT_ADD_ROW_ACTION

          public static final TableFormat FOFT_ADD_ROW_ACTION

    - #### FOFT_REMOVE_OR_UPDATE_ROW_ACTION

          public static final TableFormat FOFT_REMOVE_OR_UPDATE_ROW_ACTION

    - #### FD_STORAGE_OPEN

          public static final FunctionDefinition FD_STORAGE_OPEN

    - #### FD_STORAGE_CLOSE

          public static final FunctionDefinition FD_STORAGE_CLOSE

    - #### FD_STORAGE_GET

          public static final FunctionDefinition FD_STORAGE_GET

    - #### FD_STORAGE_GET_DISTINCT

          public static final FunctionDefinition FD_STORAGE_GET_DISTINCT

    - #### FD_STORAGE_GET_EXTRA

          public static final FunctionDefinition FD_STORAGE_GET_EXTRA

    - #### FD_STORAGE_UPDATE

          public static final FunctionDefinition FD_STORAGE_UPDATE

    - #### FD_STORAGE_DELETE

          public static final FunctionDefinition FD_STORAGE_DELETE

    - #### FD_STORAGE_INSERT

          public static final FunctionDefinition FD_STORAGE_INSERT

    - #### FD_STORAGE_VIEWS

          public static final FunctionDefinition FD_STORAGE_VIEWS

    - #### FD_STORAGE_TABLES

          public static final FunctionDefinition FD_STORAGE_TABLES

    - #### FD_STORAGE_COLUMNS

          public static final FunctionDefinition FD_STORAGE_COLUMNS

    - #### FD_STORAGE_RELATIONS

          public static final FunctionDefinition FD_STORAGE_RELATIONS

    - #### FD_STORAGE_FILTER

          public static final FunctionDefinition FD_STORAGE_FILTER

    - #### FD_STORAGE_SORTING

          public static final FunctionDefinition FD_STORAGE_SORTING

    - #### FD_STORAGE_CONSTRUCT

          public static final FunctionDefinition FD_STORAGE_CONSTRUCT

    - #### FD_STORAGE_OPERATIONS

          public static final FunctionDefinition FD_STORAGE_OPERATIONS

    - #### FD_STORAGE_CONSTRUCT_RELATION

          public static final FunctionDefinition FD_STORAGE_CONSTRUCT_RELATION

    - #### FD_STORAGE_DELETE_RELATION

          public static final FunctionDefinition FD_STORAGE_DELETE_RELATION

    - #### FD_STORAGE_LINK_INSTANCES

          public static final FunctionDefinition FD_STORAGE_LINK_INSTANCES

    - #### FD_STORAGE_UNLINK_INSTANCES

          public static final FunctionDefinition FD_STORAGE_UNLINK_INSTANCES

    - #### FD_STORAGE_LINKED_INSTANCES_FILTER

          public static final FunctionDefinition FD_STORAGE_LINKED_INSTANCES_FILTER

    - #### FD_STORAGE_GET_FORMAT

          public static final FunctionDefinition FD_STORAGE_GET_FORMAT

    - #### FD_STORAGE_OPEN_TRANSACTION

          public static final FunctionDefinition FD_STORAGE_OPEN_TRANSACTION

    - #### FD_STORAGE_CLOSE_TRANSACTION

          public static final FunctionDefinition FD_STORAGE_CLOSE_TRANSACTION

    - #### FD_STATE_TRANSITION

          public static final FunctionDefinition FD_STATE_TRANSITION

    - #### E_CLASS_INSTANCE_CREATED

          public static final java.lang.String E_CLASS_INSTANCE_CREATED

      See Also:
        Constant Field Values

    - #### E_CLASS_INSTANCE_CHANGED

          public static final java.lang.String E_CLASS_INSTANCE_CHANGED

      See Also:
        Constant Field Values

    - #### E_CLASS_INSTANCE_DELETED

          public static final java.lang.String E_CLASS_INSTANCE_DELETED

      See Also:
        Constant Field Values

    - #### E_CLASS_INSTANCE_COMMENTED

          public static final java.lang.String E_CLASS_INSTANCE_COMMENTED

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_INSTANCE_ID

          public static final java.lang.String FIELD_EVENT_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_INSTANCE_DESCRIPTION

          public static final java.lang.String FIELD_EVENT_INSTANCE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_INSTANCE

          public static final java.lang.String FIELD_EVENT_INSTANCE

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_FIELD_NAME

          public static final java.lang.String FIELD_EVENT_FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_FIELD_DESCRIPTION

          public static final java.lang.String FIELD_EVENT_FIELD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_OLD_VALUE

          public static final java.lang.String FIELD_EVENT_OLD_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_NEW_VALUE

          public static final java.lang.String FIELD_EVENT_NEW_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_MODIFICATION_AUTHOR

          public static final java.lang.String FIELD_EVENT_MODIFICATION_AUTHOR

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_AUTHOR

          public static final java.lang.String FIELD_EVENT_AUTHOR

      See Also:
        Constant Field Values

    - #### FIELD_EVENT_COMMENT

          public static final java.lang.String FIELD_EVENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_EVENT_INSTANCE_ID

          public static final java.lang.String KEY_EVENT_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### KEY_EVENT_CLASS_NAME

          public static final java.lang.String KEY_EVENT_CLASS_NAME

      See Also:
        Constant Field Values

    - #### EFT_CLASS_INSTANCE_CREATED

          public static final TableFormat EFT_CLASS_INSTANCE_CREATED

    - #### EFT_CLASS_INSTANCE_DELETED

          public static final TableFormat EFT_CLASS_INSTANCE_DELETED

    - #### EFT_CLASS_INSTANCE_CHANGED

          public static final TableFormat EFT_CLASS_INSTANCE_CHANGED

    - #### EFT_CLASS_INSTANCE_COMMENT

          public static final TableFormat EFT_CLASS_INSTANCE_COMMENT

  - ### Constructor Detail

    - #### StorageHelper

          public StorageHelper()

  - ### Method Detail

    - #### getBaseFunctionDefinitions

          public static java.util.List<FunctionDefinition> getBaseFunctionDefinitions()

    - #### generateViewSessionId

          public static long generateViewSessionId()

    - #### makeExpression

          public static java.lang.String makeExpression(java.lang.String field)

    - #### getPrimaryKeyName

          public static java.lang.String getPrimaryKeyName(Context storageContext,
                                                           CallerController caller,
                                                           java.lang.String storageTable)